%define major	0
%define libname	%mklibname celt 071 %{major}
%define devname	%mklibname %{name} -d

Name:		celt071
Version:	0.7.1
Release:	%mkrel 10
Summary:	An audio codec for use in low-delay speech and audio communication

Group:		Sound/Utilities
License:	BSD and GPLv2+
# Files without license header are confirmed to be BSD. Will be fixed in later release
# http://lists.xiph.org/pipermail/celt-dev/2009-February/000063.html
URL:		http://www.celt-codec.org/
Source0:	http://downloads.us.xiph.org/releases/celt/celt-%{version}.tar.gz
Source1:	%{name}.pc.in
Patch0:		%{name}-append-version-suffix.patch
BuildRequires:	pkgconfig(ogg)

%description
CELT (Constrained Energy Lapped Transform) is an ultra-low delay audio
codec designed for realtime transmission of high quality speech and audio.
This is meant to close the gap between traditional speech codecs
(such as Speex) and traditional audio codecs (such as Vorbis).

The CELT bitstream format is not yet stable, this package is a special
version of 0.7.1 that has the same bitstream format, but symbols and files
renamed from 'celt*' to 'celt071*' so that it is parallel installable with
the normal celt for packages requiring this particular bitstream format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the libraries and header files for developing
applications that use %{name}.

%prep
%setup -q -n celt-%{version}

cp %{SOURCE1} .
%patch0 -p1

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure --disable-static

# Remove rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README TODO
%{_bindir}/celtenc071
%{_bindir}/celtdec071

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%doc README
%{_includedir}/%{name}
%{_libdir}/pkgconfig/celt071.pc
%{_libdir}/lib%{name}.so


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.7.1-10.mga8
+ Revision: 1511221
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 0.7.1-9.mga7
+ Revision: 1296049
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.7.1-8.mga6
+ Revision: 942542
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-7.mga5
+ Revision: 741541
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.7.1-6.mga5
+ Revision: 693586
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-5.mga5
+ Revision: 678349
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-4.mga4
+ Revision: 503314
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.7.1-3.mga3
+ Revision: 347571
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.7.1-2.mga3
+ Revision: 336551
- fix build with new automake 1.13

* Sat Dec 01 2012 barjac <barjac> 0.7.1-1.mga3
+ Revision: 324441
- Changed group to new policy
- minor spec clean

* Sat Nov 19 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 169136
- imported package celt071

